<?xml version="1.0" encoding="utf-8"?>
<extension type="component" version="5.0" method="upgrade">
	<name>COM_SUBFORMPOWER</name>
	<creationDate>27th June, 2024</creationDate>
	<author>Oh Martin</author>
	<authorEmail>oh@nampharm.com.na</authorEmail>
	<authorUrl>https://nampharm.com.na</authorUrl>
	<copyright>Copyright (C) 2015. All Rights Reserved</copyright>
	<license>GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html</license>
	<version>1.0.0</version>
	<description><![CDATA[
		<h1>Subform Power (v.1.0.0)</h1>
		<div style="clear: both;"></div>
		<p>Demonstration of subform super power</p>
		<p>Created by <a href="https://nampharm.com.na" target="_blank">Oh Martin</a><br /><small>Development started 24th May, 2024</small></p>
	]]></description>
	<namespace path="src">JCB\Component\Subformpower</namespace>

	<!-- Runs on install -->
	<install>
		<sql>
			<file driver="mysql" charset="utf8">sql/install.mysql.utf8.sql</file>
		</sql>
	</install>

	<!-- Runs on uninstall -->
	<uninstall>
		<sql>
			<file driver="mysql" charset="utf8">sql/uninstall.mysql.utf8.sql</file>
		</sql>
	</uninstall>

	<!-- Runs on install/uninstall/update -->
	<scriptfile>SubformpowerInstallerScript.php</scriptfile>

	<media destination="com_subformpower" folder="media">
		<filename>index.html</filename>
		<folder>js</folder>
		<folder>css</folder>
		<folder>images</folder>
	</media>

	<!-- Update Schema -->
	<update>
		<schemas>
			<schemapath type="mysql">sql/updates/mysql/</schemapath>
		</schemas>
	</update>

	

	

	<administration>
		<menu>COM_SUBFORMPOWER_MENU</menu>
		<submenu>
			<!-- Instead of link you can specify individual link attributes -->
			<menu option="com_subformpower" view="subformpower">COM_SUBFORMPOWER_MENU_DASHBOARD</menu>
			<menu option="com_subformpower" view="countries">COM_SUBFORMPOWER_MENU_COUNTRIES</menu>
			<menu option="com_subformpower" view="currencies">COM_SUBFORMPOWER_MENU_CURRENCIES</menu>
		</submenu>
		<files folder="admin">
			<filename>access.xml</filename>
			<filename>config.xml</filename>
			<filename>index.html</filename>
			<filename>README.txt</filename>
			<folder>assets</folder>
			<folder>forms</folder>
			<folder>layouts</folder>
			<folder>presets</folder>
			<folder>services</folder>
			<folder>sql</folder>
			<folder>src</folder>
			<folder>tmpl</folder>
		</files>

		<languages folder="admin">
			<language tag="en-GB">language/en-GB/en-GB.com_subformpower.ini</language>
			<language tag="en-GB">language/en-GB/en-GB.com_subformpower.sys.ini</language>
		</languages>

	</administration>
</extension>